package com.liquidnet.client.admin.zhengzai.smile.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.client.admin.zhengzai.smile.dto.*;
import com.liquidnet.service.smile.entity.SmileUser;
import com.liquidnet.service.smile.entity.dao.SmileUserCheckDao;

import java.util.List;

public interface ISmileUserService extends IService<SmileUser> {

    PageInfo<SmileUserVo> userList(SmileUserParam smileUserParam);

    SmileUser getUserById(String id);

    Boolean create(SmileUser smileUser);

    List<SmileUserVoOrg> getUserListByOrgId(Long orgId, Long agentId);

    AjaxResult updateUserStateById(String uid, Integer state);

    PageInfo<SmileUserCheckDao> listUserCheck(UserCheckParam userCheckParam);

    AjaxResult updateUserCheckById(SmileUserCheckVo smileUserCheck);

}
